Sie sind nicht angemeldet.

1

22.10.2007, 19:55

glibc lässt sich nicht emergen

Wollte meine glibc updaten!

geht aber nicht!

hier meine Meldung:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
localhost andreas # emerge glibc
Calculating dependencies... done!
>>> Verifying ebuild Manifests...

>>> Emerging (1 of 1) sys-libs/glibc-2.6.1 to /
 * glibc-ports-2.6.1.tar.bz2 RMD160 ;-) ...                                                                                                                                 [ ok ]
 * glibc-ports-2.6.1.tar.bz2 SHA1 ;-) ...                                                                                                                                   [ ok ]
 * glibc-ports-2.6.1.tar.bz2 SHA256 ;-) ...                                                                                                                                 [ ok ]
 * glibc-ports-2.6.1.tar.bz2 size ;-) ...                                                                                                                                   [ ok ]
 * glibc-2.6.1.tar.bz2 RMD160 ;-) ...                                                                                                                                       [ ok ]
 * glibc-2.6.1.tar.bz2 SHA1 ;-) ...                                                                                                                                         [ ok ]
 * glibc-2.6.1.tar.bz2 SHA256 ;-) ...                                                                                                                                       [ ok ]
 * glibc-2.6.1.tar.bz2 size ;-) ...                                                                                                                                         [ ok ]
 * glibc-2.6.1-patches-1.1.tar.bz2 RMD160 ;-) ...                                                                                                                           [ ok ]
 * glibc-2.6.1-patches-1.1.tar.bz2 SHA1 ;-) ...                                                                                                                             [ ok ]
 * glibc-2.6.1-patches-1.1.tar.bz2 SHA256 ;-) ...                                                                                                                           [ ok ]
 * glibc-2.6.1-patches-1.1.tar.bz2 size ;-) ...                                                                                                                             [ ok ]
 * glibc-libidn-2.6.1.tar.bz2 RMD160 ;-) ...                                                                                                                                [ ok ]
 * glibc-libidn-2.6.1.tar.bz2 SHA1 ;-) ...                                                                                                                                  [ ok ]
 * glibc-libidn-2.6.1.tar.bz2 SHA256 ;-) ...                                                                                                                                [ ok ]
 * glibc-libidn-2.6.1.tar.bz2 size ;-) ...                                                                                                                                  [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                                                        [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                                       [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                                      [ ok ]
 * checking glibc-2.6.1.tar.bz2 ;-) ...                                                                                                                                     [ ok ]
 * checking glibc-libidn-2.6.1.tar.bz2 ;-) ...                                                                                                                              [ ok ]
 * checking glibc-ports-2.6.1.tar.bz2 ;-) ...                                                                                                                               [ ok ]
 * checking glibc-2.6.1-patches-1.1.tar.bz2 ;-) ...                                                                                                                         [ ok ]
 * You still haven't deleted //etc/locales.build.
 * Do so now after making sure //etc/locale.gen is kosher.
 *
 * ERROR: sys-libs/glibc-2.6.1 failed.
 * Call stack:
 *   ebuild.sh, line 1670:   Called dyn_setup
 *   ebuild.sh, line 719:   Called qa_call 'pkg_setup'
 *   ebuild.sh, line 44:   Called pkg_setup
 *   glibc-2.6.1.ebuild, line 166:   Called die
 *
 * lazy upgrader detected
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/sys-libs/glibc-2.6.1/temp/build.log'.
 *

 * Messages for package sys-libs/glibc-2.6.1:

 * You still haven't deleted //etc/locales.build.
 * Do so now after making sure //etc/locale.gen is kosher.
 *
 * ERROR: sys-libs/glibc-2.6.1 failed.
 * Call stack:
 *   ebuild.sh, line 1670:   Called dyn_setup
 *   ebuild.sh, line 719:   Called qa_call 'pkg_setup'
 *   ebuild.sh, line 44:   Called pkg_setup
 *   glibc-2.6.1.ebuild, line 166:   Called die
 *
 * lazy upgrader detected
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/sys-libs/glibc-2.6.1/temp/build.log'.
 *
localhost andreas #
Ullrich Andreas
Meine Konfiguration:
x86_64/Gentoo-10.1/gcc Version 4.5.3/KDE-Version 4.9.3/Kernel version 2.6.34-gentoo-r6
Graphic: 2x Nvidia 9600-GT OC SLI,Drucker: Samsung CLP-315W

Dieser Beitrag wurde bereits 2 mal editiert, zuletzt von »andreasullrich« (24.10.2007, 07:47)


2

22.10.2007, 20:40

Hallo,

steht doch da:

Zitat

Original von andreasullrich

Quellcode

1
2
 * You still haven't deleted //etc/locales.build.
 * Do so now after making sure //etc/locale.gen is kosher.

HTH
Rudi
Seien Sie vorsichtig mit Gesundheitsbüchern - Sie könnten an einem Druckfehler sterben. [Mark Twain]

3

22.10.2007, 22:21

hier meine locale.gen

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
# /etc/locale.gen: list all of the locales you want to have on your system
#
# The format of each line:
# <locale> <charmap>
#
# Where <locale> is a locale located in /usr/share/i18n/locales/ and
# where <charmap> is a charmap located in /usr/share/i18n/charmaps/.
#
# All blank lines and lines starting with # are ignored.
#
# For the default list of supported combinations, see the file:
# /usr/share/i18n/SUPPORTED
#
# Whenever glibc is emerged, the locales listed here will be automatically
# rebuilt for you.  After updating this file, you can simply run `locale-gen`
# yourself instead of re-emerging glibc.

#en_US ISO-8859-1
#en_US.UTF-8 UTF-8
#ja_JP.EUC-JP EUC-JP
#ja_JP.UTF-8 UTF-8
#ja_JP EUC-JP
#en_HK ISO-8859-1
#en_PH ISO-8859-1
de_DE ISO-8859-1
de_DE@euro ISO-8859-15
de_DE.utf8 UTF-8
#es_MX ISO-8859-1
#fa_IR UTF-8
#fr_FR ISO-8859-1
#fr_FR@euro ISO-8859-15
#it_IT ISO-8859-1


und hier meine locale.build:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
# This file names the list of locales to be built when glibc is installed.
# The format is <locale>/<charmap>, where <locale> is a locale from the
# /usr/share/i18n/locales directory, and <charmap> is name of one of the files
# in /usr/share/i18n/charmaps/. All blank lines and lines starting with # are
# ignored. Here is an example:
# en_US/ISO-8859-1

en_US/ISO-8859-1
en_US.UTF-8/UTF-8
ja_JP.EUC-JP/EUC-JP
ja_JP.UTF-8/UTF-8
ja_JP/EUC-JP
en_HK/ISO-8859-1
en_PH/ISO-8859-1
de_DE/ISO-8859-1
de_DE@euro/ISO-8859-15
es_MX/ISO-8859-1
fa_IR/UTF-8
fr_FR/ISO-8859-1
fr_FR@euro/ISO-8859-15
it_IT/ISO-8859-1



ich finde hier keinen Fehler!
hat doch bis jetzt auch immer gefunzt!
Ullrich Andreas
Meine Konfiguration:
x86_64/Gentoo-10.1/gcc Version 4.5.3/KDE-Version 4.9.3/Kernel version 2.6.34-gentoo-r6
Graphic: 2x Nvidia 9600-GT OC SLI,Drucker: Samsung CLP-315W

Dieser Beitrag wurde bereits 2 mal editiert, zuletzt von »andreasullrich« (22.10.2007, 22:23)


4

22.10.2007, 22:37

hi,
vielleicht hast du die Meldung nicht richtig verstanden.

Zitat

* You still haven't deleted //etc/locales.build. * Do so now after making sure //etc/locale.gen is kosher.

du sollst die locale.gen überprüfen/editieren (bzw. an deine locales.build anpassen) und die locales.build danach löschen.

5

22.10.2007, 22:37

Wie bereits geschrieben:

Quellcode

1
* You still haven't deleted //etc/locales.build.
oder auf deutsch :):

Quellcode

1
* Sie haben //etc/locales.build immer noch nicht gelöscht.
Mach aber besser vorher ein Backup der Datei (man weiß ja nie...).

Edit:
Oh, mal wieder zu spät...
Seien Sie vorsichtig mit Gesundheitsbüchern - Sie könnten an einem Druckfehler sterben. [Mark Twain]

Dieser Beitrag wurde bereits 2 mal editiert, zuletzt von »rudib« (22.10.2007, 22:39)


6

24.10.2007, 07:46

Gut jetzt funzt es.
Ich verstehe nur nicht, das ich die locales.build löschen mußte.
Hat es doch sonst auch nicht verlangt.
Ullrich Andreas
Meine Konfiguration:
x86_64/Gentoo-10.1/gcc Version 4.5.3/KDE-Version 4.9.3/Kernel version 2.6.34-gentoo-r6
Graphic: 2x Nvidia 9600-GT OC SLI,Drucker: Samsung CLP-315W

7

24.10.2007, 08:10

Könntest Du bitte das Thema richtig auf gelöst setzen!!!

http://www.gentooforum.de/Forumskonventionen <--- Da steht wie es geht
Alienware 17 R3 16 GB RAM
NVIDIA GTX970 Optimus
Intel Corporation Wireless 8260 AC
Blu-ray Disc ROM & DVD+/-RW
Ubuntu Gnome Desktop
+
Samsung Aktivbook 8, 16 GB DDR3-1666, 2000 GIG SATA
ATI Radeon HD 8870M
Intel Corporation Centrino Advanced-N 6235
Blu-ray Disc ROM & DVD+/-RW
Xbuntu mit debootstrap
+
Intel Core 2 Duo
2 GB MB RAM
ca. 3,5 TB SATA
TBS6980 Dual DVB S2
YaVDR amd64 + VDR1.7.x + XBMC + VDPAU


Mein Overlay:

Quellcode

1
layman -a amielke-overlay